members.dev
Events

Get an Event

Returns an Event by ID

GET
/v1/events/{event_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

event_id*string

Query Parameters

member_id?|

Evaluate price availability for a Member ID.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/portal/v1/events/string"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "starts_at_local": null,
  "ends_at_local": null,
  "timezone": "string",
  "status": "confirmed",
  "state_transitions": {
    "cancelled_at": {}
  },
  "recurring_event_id": "string",
  "original_starts_at_local": {},
  "recurrence": [
    "string"
  ],
  "pricing_rules": [
    {
      "id": "string",
      "name": "string",
      "benefits_required": [
        "string"
      ],
      "amount": 0,
      "deductions": [
        {
          "benefit": "string",
          "count": 0
        }
      ]
    }
  ],
  "pricing_options": [
    {
      "id": "string",
      "name": "string",
      "benefits_required": [
        "string"
      ],
      "amount": 0,
      "deductions": [
        {
          "benefit": "string",
          "count": 0
        }
      ],
      "is_available": true,
      "unavailable_reason": "string"
    }
  ],
  "tags": [
    "string"
  ],
  "hosts": [
    "string"
  ],
  "location": {
    "id": "string",
    "name": "string",
    "formatted_address": "string",
    "url": "string",
    "instructions": "string",
    "google_place_id": "string",
    "archived_at": {},
    "created_at": null,
    "updated_at": null
  },
  "capacity": 0,
  "resource_ids": [
    "string"
  ],
  "slot_duration_minutes": 0,
  "slot_interval_minutes": 0,
  "bookings_count": 0,
  "slots": [
    {
      "starts_at_local": null,
      "ends_at_local": null,
      "max_capacity": 0,
      "remaining_capacity": 0,
      "bookings_count": 0,
      "is_bookable": true,
      "resources": [
        {
          "resource_id": "string",
          "max_capacity": 0,
          "remaining_capacity": 0,
          "bookings_count": 0,
          "is_bookable": true
        }
      ]
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}